#
# WARNING: despite unchanged SONAME, the RSA ABI (and API) has changed since 3.x!
#
# Conditional build:
%bcond_without	java		# build with Java support
%bcond_with	javac		# use javac instead of gcj
%bcond_without	python		# don't build python module
%bcond_without	static_libs	# don't build static libraries
#
Summary:	The BeeCrypt Cryptography Library
Summary(pl.UTF-8):	Biblioteka kryptograficzna BeeCrypt
Name:		beecrypt
Version:	4.2.1
Release:	7
Epoch:		2
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://dl.sourceforge.net/project/beecrypt/beecrypt/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	8441c014170823f2dff97e33df55af1e
Patch0:		%{name}-ac.patch
Patch1:		%{name}-ac_python.patch
URL:		http://sourceforge.net/projects/beecrypt/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
%if %{with java} && !%{with javac}
%ifarch i586 i686 athlon pentium3 pentium4 %{x8664}
BuildRequires:	jdk
%else
BuildRequires:	gcc-java
BuildRequires:	libgcj-devel
%endif
%endif
%if %{with java} && %{with javac}
BuildRequires:	jdk
%endif
BuildRequires:	libtool
%if %{with python}
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%endif
BuildRequires:	rpmbuild(macros) >= 1.213
Obsoletes:	beecrypt-doc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_alpha		-mno-explicit-relocs
%define		specflags_pentium2	-mmmx
%define		specflags_pentium3	-mmmx -msse
%define		specflags_pentium4	-mmmx -msse -msse2
%define		specflags_athlon	-mmmx

%description
BeeCrypt is an open source cryptography library that contains highly
optimized C and assembler implementations of many well-known
algorithms including Blowfish, MD5, SHA-1, Diffie-Hellman, and
ElGamal.

%description -l pl.UTF-8
BeeCrypt jest open sourcową biblioteką, która zawiera wysoko
zoptymailzowane funkcje w C oraz assemblerze wielu algorytmów
szyfrowania m.in.: Blowfish, MD5, SHA-1, Diffie-Hellman oraz ElGamal.

%package devel
Summary:	The BeeCrypt Cryptography Library - development files
Summary(pl.UTF-8):	Pliki dla programistów używających biblioteki BeeCrypt
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
The BeeCrypt Cryptography Library - development files.

%description devel -l pl.UTF-8
Biblioteka kryptograficzna BeeCrypt - pliki dla programistów.

%package static
Summary:	The BeeCrypt Cryptography Library - static library
Summary(pl.UTF-8):	Biblioteka statyczna BeeCrypt
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
The BeeCrypt Cryptography Library - static library.

%description static -l pl.UTF-8
Biblioteka statyczna BeeCrypt.

%package java
Summary:	BeeCrypt Java glue library
Summary(pl.UTF-8):	Biblioteka łącząca BeeCrypt z Javą
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description java
BeeCrypt Java glue library.

%description java -l pl.UTF-8
Biblioteka łącząca BeeCrypt z Javą.

%package java-devel
Summary:	Development files for BeeCrypt Java glue library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki łączącej Beecrypt z Javą
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	%{name}-java = %{epoch}:%{version}-%{release}

%description java-devel
Development files for BeeCrypt Java glue library.

%description java-devel -l pl.UTF-8
Pliki programistyczne biblioteki łączącej Beecrypt z Javą.

%package java-static
Summary:	BeeCrypt Java glue static library
Summary(pl.UTF-8):	Statyczna biblioteka łącząca BeeCrypt z Javą
Group:		Development/Libraries
Requires:	%{name}-java-devel = %{epoch}:%{version}-%{release}

%description java-static
BeeCrypt Java glue static library.

%description java-static -l pl.UTF-8
Statyczna biblioteka łącząca BeeCrypt z Javą.

%package -n python-beecrypt
Summary:	Python interface to BeeCrypt library
Summary(pl.UTF-8):	Pythonowy interfejs do biblioteki BeeCrypt
Group:		Development/Languages/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-beecrypt
The python-beecrypt package contains a module which permits
applications written in the Python programming language to use the
interface supplied by BeeCrypt libraries.

%description -n python-beecrypt -l pl.UTF-8
Pakiet python-beecrypt zawiera moduł, który pozwala aplikacjom
napisanym w Pythonie na używanie interfejsu dostarczanego przez
bibliotekę BeeCrytp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# --with-cplusplus or building (even empty) *.cxx into libbeecrypt
# makes it (and thus rpm) depending on libstdc++ which is unacceptable
%{__perl} -pi -e 's/ cppglue\.cxx$//' Makefile.am

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-openmp \
	%{?with_javac:ac_cv_have_gcj=no} \
	%{!?with_static_libs:--disable-static} \
	--without-cplusplus \
	--with%{!?with_java:out}-java \
	%{!?with_python:--without-python}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_lib}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_libdir}/libbeecrypt.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libbeecrypt.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libbeecrypt.so

%{?with_python:%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/*.{la,a}}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	java -p /sbin/ldconfig
%postun	java -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BENCHMARKS BUGS CONTRIBUTORS NEWS README
%attr(755,root,root) /%{_lib}/libbeecrypt.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libbeecrypt.so.7

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbeecrypt.so
%{_libdir}/libbeecrypt.la
%{_includedir}/beecrypt

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libbeecrypt.a
%endif

%if %{with java}
%files java
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbeecrypt_java.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbeecrypt_java.so.7

%files java-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbeecrypt_java.so
%{_libdir}/libbeecrypt_java.la

%if %{with static_libs}
%files java-static
%defattr(644,root,root,755)
%{_libdir}/libbeecrypt_java.a
%endif
%endif

%if %{with python}
%files -n python-beecrypt
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_bc.so
%endif
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/beecrypt.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 835aa48
- release 7 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 51cd586
- x32 rebuild
- release 5 (by relup.sh)

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 76e91a8
- release 4

* Wed Dec 09 2009 Jan Rękorajski <baggins@pld-linux.org> 4fcd359
- rel 3
- disable openmp, the only beecrypt user (rpm) does not need parallel programing :/

* Mon Oct 26 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 834b730
- rel 2; link with libgomp properly

* Sun Oct 25 2009 areq <areq@pld-linux.org> 2b7c2f3
- fix without python build

* Fri Sep 18 2009 Jakub Bogusz <qboosh@pld-linux.org> d567895
- updated to 4.2.1 (new soname); docs dropped upstream

* Tue Sep 15 2009 tommat <tommat@pld-linux.org> 78869e8
- one more soname symlink

* Tue Sep 15 2009 tommat <tommat@pld-linux.org> 8419be0
- more strict

* Tue Sep 15 2009 tommat <tommat@pld-linux.org> 39cb5a5
- remove -xarch from sparcs CFLAGS

* Tue Sep 15 2009 tommat <tommat@pld-linux.org> a6be0d5
- ghost soname symlink

* Fri Oct 17 2008 Marcin Banasiak <marcin.banasiak@gmail.com> f7bc205
- release 8

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e61db38
- release 7

* Fri Nov 09 2007 hawk <hawk@pld-linux.org> f06a440
- BR: rpm-pythonprov

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 6da54b2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 42d161b
- converted to UTF-8

* Mon Nov 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 710e653
- tab

* Sun Nov 26 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 2f43e48
- use jdk for supported platforms; otherwise gcc-java

* Sun Nov 26 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> d198d7e
- rel 6

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 10a2d19
- orphaned, outdated

